import { HttpClient, MaybeContext, BuildRESTFunction } from '@wix/sdk-types';
import { G as GetDefaultPrivacyStatusResponse, D as DefaultPrivacy, S as SetDefaultPrivacyStatusResponse } from './members-v1-default-privacy-default-privacy.universal-Dk7cqLCo.js';
export { a as GetDefaultPrivacyStatusRequest, P as Privacy, b as SetDefaultPrivacyStatusRequest } from './members-v1-default-privacy-default-privacy.universal-Dk7cqLCo.js';

declare function getDefaultPrivacyStatus$1(httpClient: HttpClient): GetDefaultPrivacyStatusSignature;
interface GetDefaultPrivacyStatusSignature {
    /**
     * Retrieves the default privacy status of a site.
     */
    (): Promise<GetDefaultPrivacyStatusResponse>;
}
declare function setDefaultPrivacyStatus$1(httpClient: HttpClient): SetDefaultPrivacyStatusSignature;
interface SetDefaultPrivacyStatusSignature {
    /**
     * Sets the default privacy status of a site.
     * @param - Default privacy settings to set.
     */
    (defaultPrivacy: DefaultPrivacy): Promise<SetDefaultPrivacyStatusResponse>;
}

declare const getDefaultPrivacyStatus: MaybeContext<BuildRESTFunction<typeof getDefaultPrivacyStatus$1> & typeof getDefaultPrivacyStatus$1>;
declare const setDefaultPrivacyStatus: MaybeContext<BuildRESTFunction<typeof setDefaultPrivacyStatus$1> & typeof setDefaultPrivacyStatus$1>;

export { DefaultPrivacy, GetDefaultPrivacyStatusResponse, SetDefaultPrivacyStatusResponse, getDefaultPrivacyStatus, setDefaultPrivacyStatus };
