import { a as GetDefaultPrivacyStatusRequest$1, G as GetDefaultPrivacyStatusResponse$1, b as SetDefaultPrivacyStatusRequest$1, S as SetDefaultPrivacyStatusResponse$1 } from './members-v1-default-privacy-default-privacy.universal-Dk7cqLCo.mjs';

interface DefaultPrivacy {
    /**
     * Privacy ID.
     * @format GUID
     * @readonly
     */
    id?: string | null;
    /** Default privacy status for a new member. */
    defaultPrivacy?: PrivacyWithLiterals;
    /** Revision number, which increments by 1 each time the default privacy is updated. To prevent conflicting changes, the existing revision must be used when updating default privacy. */
    revision?: string | null;
}
declare enum Privacy {
    /** Default privacy status is private. All members have private profiles with no option to make them public. */
    PRIVATE = "PRIVATE",
    /** Default privacy status is public. All members can make their profile public. */
    PUBLIC = "PUBLIC"
}
/** @enumType */
type PrivacyWithLiterals = Privacy | 'PRIVATE' | 'PUBLIC';
interface GetDefaultPrivacyStatusRequest {
}
interface GetDefaultPrivacyStatusResponse {
    /** Retrieved default privacy settings. */
    defaultPrivacy?: DefaultPrivacy;
}
interface SetDefaultPrivacyStatusRequest {
    /** Default privacy settings to set. */
    defaultPrivacy: DefaultPrivacy;
}
interface SetDefaultPrivacyStatusResponse {
    /** Default privacy settings. */
    defaultPrivacy?: DefaultPrivacy;
}

type __PublicMethodMetaInfo<K = string, M = unknown, T = unknown, S = unknown, Q = unknown, R = unknown> = {
    getUrl: (context: any) => string;
    httpMethod: K;
    path: string;
    pathParams: M;
    __requestType: T;
    __originalRequestType: S;
    __responseType: Q;
    __originalResponseType: R;
};
declare function getDefaultPrivacyStatus(): __PublicMethodMetaInfo<'GET', {}, GetDefaultPrivacyStatusRequest$1, GetDefaultPrivacyStatusRequest, GetDefaultPrivacyStatusResponse$1, GetDefaultPrivacyStatusResponse>;
declare function setDefaultPrivacyStatus(): __PublicMethodMetaInfo<'PATCH', {}, SetDefaultPrivacyStatusRequest$1, SetDefaultPrivacyStatusRequest, SetDefaultPrivacyStatusResponse$1, SetDefaultPrivacyStatusResponse>;

export { type __PublicMethodMetaInfo, getDefaultPrivacyStatus, setDefaultPrivacyStatus };
